Raritan PX2/PX3 JSON-RPC API: net::Net_5_0_0 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Public Member Functions | Public Attributes | List of all members
net::Net_5_0_0 Interface Reference

Network configuration interface. More...

`import"Net.idl";`

## Public Member Functions
Info_1_0_1 | getInfo ()
| Retrieve information about all network interfaces. More...
Settings_3_0_0 | getSettings ()
| Retrieve the current network interface settings. More...
int | setSettings (in Settings_3_0_0 settings)
| Update the network interface settings. More...
vector< PortForwardingProtocolMapping > | getPortForwardingProtocolMappings ()
| Retrieve the list of port forwarding protocol mappings. More...

## Public Attributes
constant int | SUCCESS = 0
| Success code.
constant int | ERR_DNS_TOO_MANY_SERVERS = 100
| DNS parameter errors.
constant int | ERR_DNS_INVALID_SERVER = 101
constant int | ERR_DNS_TOO_MANY_SEARCH_SUFFIXES = 102
constant int | ERR_DNS_INVALID_SEARCH_SUFFIX = 103
constant int | ERR_ROUTING_IPV4_INVALID_DFLT_GATEWAY_ADDR = 200
| routing parameter errors
constant int | ERR_ROUTING_IPV6_INVALID_DFLT_GATEWAY_ADDR = 201
constant int | ERR_ROUTING_IPV4_INVALID_DEST_ADDR = 202
constant int | ERR_ROUTING_IPV6_INVALID_DEST_ADDR = 203
constant int | ERR_ROUTING_IPV4_INVALID_DEST_PREFIX_LEN = 204
constant int | ERR_ROUTING_IPV6_INVALID_DEST_PREFIX_LEN = 205
constant int | ERR_ROUTING_IPV4_INVALID_NEXTHOP_ADDR = 206
constant int | ERR_ROUTING_IPV6_INVALID_NEXTHOP_ADDR = 207
constant int | ERR_ROUTING_IPV4_INVALID_INTERFACE = 208
constant int | ERR_ROUTING_IPV6_INVALID_INTERFACE = 209
constant int | ERR_ROUTING_IPV4_DEST_IS_NO_NETWORK_ADDR = 210
constant int | ERR_ROUTING_IPV6_DEST_IS_NO_NETWORK_ADDR = 211
constant int | ERR_ROUTING_IPV4_DEST_IS_DUPLICATE = 212
constant int | ERR_ROUTING_IPV6_DEST_IS_DUPLICATE = 213
constant int | ERR_ROUTING_IPV4_NO_NEXTHOP_OR_INTERFACE = 214
constant int | ERR_ROUTING_IPV6_NO_NEXTHOP_OR_INTERFACE = 215
constant int | ERR_ROUTING_IPV4_NEXTHOP_AND_INTERFACE_SET = 216
constant int | ERR_ROUTING_IPV6_NEXTHOP_AND_INTERFACE_SET = 217
constant int | ERR_PF_INVALID_MASTER_DOWNSTREAM_INTERFACE = 300
| port forwarding parameter errors
constant int | ERR_PF_NO_WORKING_MASTER_UPSTREAM_INTERFACE = 301
constant int | ERR_IF_IPV4_INVALID_CONFIG_METHOD = 400
| interface common parameter errors
constant int | ERR_IF_IPV6_INVALID_CONFIG_METHOD = 401
constant int | ERR_IF_IPV4_INVALID_STATIC_ADDR = 402
constant int | ERR_IF_IPV6_INVALID_STATIC_ADDR = 403
constant int | ERR_IF_IPV4_INVALID_STATIC_PREFIX_LEN = 404
constant int | ERR_IF_IPV6_INVALID_STATIC_PREFIX_LEN = 405
constant int | ERR_IF_IPV4_INVALID_DHCP_PREF_HOSTNAME = 406
constant int | ERR_IF_IPV6_INVALID_DHCP_PREF_HOSTNAME = 407
constant int | ERR_IF_EAP_INVALID_IDENTITY = 408
constant int | ERR_IF_EAP_INVALID_PASSWORD = 409
constant int | ERR_IF_EAP_INVALID_CLIENT_CERT = 410
constant int | ERR_IF_EAP_INVALID_CLIENT_PRIV_KEY_OR_PWD = 411
constant int | ERR_IF_EAP_CLIENT_CERT_PRIV_KEY_MISMATCH = 412
constant int | ERR_IF_EAP_INVALID_CA_CERT = 413
constant int | ERR_IF_EAP_CA_CERT_VERIFY_FAILED = 414
constant int | ERR_IF_EAP_INVALID_AUTH_SERVER_NAME = 415
constant int | ERR_ETH_IF_UNSUPPORTED_LINKMODE = 500
| Ethernet interface parameter errors.
constant int | ERR_WLAN_IF_INVALID_SSID = 600
| WLAN interface parameter errors.
constant int | ERR_WLAN_IF_INVALID_BSSID = 601
constant int | ERR_WLAN_IF_INVALID_PSK = 602

## Detailed Description

Network configuration interface.

## Member Function Documentation

## ◆ getInfo()

Info_1_0_1 net::Net_5_0_0::getInfo | ( |  | ) |

Retrieve information about all network interfaces.

Returns
  Current network information

## ◆ getPortForwardingProtocolMappings()

vector<PortForwardingProtocolMapping> net::Net_5_0_0::getPortForwardingProtocolMappings | ( |  | ) |

Retrieve the list of port forwarding protocol mappings.

Returns
  Port forwarding protocol mappings

## ◆ getSettings()

Settings_3_0_0 net::Net_5_0_0::getSettings | ( |  | ) |

Retrieve the current network interface settings.

Returns
  Settings for all supported network interfaces

## ◆ setSettings()

int net::Net_5_0_0::setSettings | ( | in Settings_3_0_0 | settings | ) |

Update the network interface settings.

Parameters

  settings | New network settings

Returns
  0 if OK
  non-zero in case of error (see error constants above)

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Net.idl